########## Problem 4.2

### 2.
k <- 0:15  # Number of events k.
PXleqk <- ppois(k, lambda = 5)  # Poisson CDF with lambda = 5 evaluated at each k.
plot(k, PXleqk, ylab=expression(P(X <= k)), pch=19)  # Create plot.
segments(x0 = k, y0 = PXleqk, x1 = k+1, y1 = PXleqk)  # Add line segments because the Poisson CDF is a step function.




########## Problem 4.8

### 1.
mu <- 10
sigma2 <- 3
curve(dnorm(x, mean=mu, sd=sqrt(sigma2)), from=0, to=20, ylab="Density")
curve(pnorm(x, mean=mu, sd=sqrt(sigma2)), from=0, to=20, ylab=expression(P(X <= x)))

### 2.
set.seed(274)
x <- rnorm(10^6, mean=mu, sd=sqrt(sigma2))
mean(x)
var(x)




########## Problem 4.9
cdf_inverse <- function(p) {
  2*sqrt(p)
}

rfx <- function(n) {
  p <- runif(n, min=0, max=1)
  cdf_inverse(p)
}

set.seed(274)
n <- 10^6
draws <- rfx(n)
hist(draws, freq=FALSE, breaks=40)
curve(1/2*x, col="red", add=TRUE)
