########## Problem 3.8

# Create matrix from contingency table in Table 3.2:
con_tab <- matrix(c(92/763, 256/763, 348/763,
                    77/763, 338/763, 415/763,
                    169/763, 594/763, 1),
                  nrow = 3,
                  ncol = 3,
                  byrow = TRUE,
                  dimnames = list(c("E", "E^c", "Total"),
                                  c("D", "D^c", "Total")))

# Calculate conditional probabilities:
P_D_given_E <- con_tab[1, 1] / con_tab[1, 3]
P_D_given_notE <- con_tab[2, 1] / con_tab[2, 3]

# Calculate risk difference:
P_D_given_E - P_D_given_notE

# Calculate relative risk:
P_D_given_E / P_D_given_notE

# Calculate odds ratio:
O_E <- P_D_given_E / (1 - P_D_given_E)
O_notE <- P_D_given_notE / (1 - P_D_given_notE)
O_E / O_notE




########## Problem 3.9

### 2.
# Create matrix from contingency table:
con_tab <- matrix(c(273/700, 77/700, 350/700,
                    289/700, 61/700, 350/700,
                    552/700, 148/700, 1),
                  nrow = 3,
                  ncol = 3,
                  byrow = TRUE,
                  dimnames = list(c("E", "E^c", "Total"),
                                  c("D", "D^c", "Total")))

# Calculate conditional probabilities:
P_D_given_E <- con_tab[1, 1] / con_tab[1, 3]
P_D_given_notE <- con_tab[2, 1] / con_tab[2, 3]

# Calculate risk difference:
P_D_given_E - P_D_given_notE

# Calculate relative risk:
P_D_given_E / P_D_given_notE

# Calculate odds ratio:
O_E <- P_D_given_E / (1 - P_D_given_E)
O_notE <- P_D_given_notE / (1 - P_D_given_notE)
O_E / O_notE
